To fully participate in PrestoExperts, your system should meet several requirements.

Your computer must:

Be supported by operating systems Windows 2000, Windows XP, Windows 2003, Windows Vista or Windows 7

  • Be supported by web browsers Internet Explorer 6 SP2, Internet Explorer 7 (all versions), Internet Explorer 9 (or above), Chrome (most updated versions) or Mozilla Firefox (all versions)
  • Support Flash
  • Support Javascript
  • Support Cookies
  • Support SSL